This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 502521 - Graphic Installer incorrectly initializes graphics on nvidia chip
Graphic Installer incorrectly initializes graphics on nvidia chip
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
rawhide
i386 Linux
low Severity high
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-25 14:06 EDT by markm
Modified: 2009-11-18 10:55 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-05 21:09:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
X.log from installation process (32.52 KB, text/plain)
2009-05-26 08:26 EDT, markm
no flags Details
anaconda.log (1.59 KB, text/plain)
2009-05-26 08:26 EDT, markm
no flags Details
screenshot grabbed from the nouveau (34.74 KB, image/png)
2009-07-22 17:22 EDT, markm
no flags Details
photo of what I see when nouveau is used (3.18 MB, image/jpeg)
2009-07-22 17:24 EDT, markm
no flags Details
dmesg.txt output after running nouveau (37.32 KB, text/plain)
2009-07-22 17:25 EDT, markm
no flags Details

  None (edit)
Description markm 2009-05-25 14:06:48 EDT
Description of problem:

When insert either Fedora 11 Live Preview or Fedora 11 Preview DVD, everything goes well until Xorg starts - there I can see artefacts instead of usual welcome screen :)

Version-Release number of selected component (if applicable):

Fedora-11-Preview

How reproducible:

Always.

Steps to Reproduce:
1. Insert Live CD or DVD install
2. Run it
  
Actual results:

Xorgs starts graphics without error, but I can see nothing - only artefacts.

Expected results:

Welcome screen and no artefacts.

Additional info:

When I press ctrl+alt+backspace, I can see text, but it's damaged.

Installation works fine, if I add “vesa resolution=1024x768"

My laptop:

Dell Latitude D620
Intel Core 2 Duo T7700
2 GB RAM
NVIDIA Quadro NVS 110M TurboCache
Comment 1 Matěj Cepl 2009-05-26 06:58:08 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

When the anaconda crashes, please, switch to the console (Ctrl+Alt+F2) and copy /tmp/X* and /var/log/anaconda.xlog to some other place -- USB stick, some other computer via network, some on the Internet, and please attach it to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

I am not sure whether you were actually able to make X work for you; if yes, then the log files I am after are /var/log/Xorg.0.log and /var/log/dmesg. Please attach these instead.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 markm 2009-05-26 08:25:34 EDT
I have managed to run installation by using vesa driver, then installed nvidia proprietary drivers from rpmfusion and they work fine.
Comment 3 markm 2009-05-26 08:26:10 EDT
Created attachment 345455 [details]
X.log from installation process
Comment 4 markm 2009-05-26 08:26:45 EDT
Created attachment 345456 [details]
anaconda.log
Comment 5 markm 2009-05-26 08:27:33 EDT
also, when I switched into text mode, text is damaged but still readable.
Comment 6 Ben Skeggs 2009-05-26 09:26:23 EDT
I know the binary driver's working well for you, but I'd still like to resolve this.  Are you able to switch back to the nouveau driver, and attach the output of the "dmesg" command from after starting X with nouveau?

Also, if possible, are you able to grab a screenshot of the display?  With a camera would be fine, but an actual screenshot can be useful too.  Since you can't see the screen, booting to runlevel 3 (append "3" to the kernel commandline), logging in as root and running:

export DISPLAY=:0.0
startx -- -ac :0 & (sleep 10 && import -window root screenshot.png && killall X)

should get you a screenshot.

Thanks!
Ben.
Comment 7 Bug Zapper 2009-06-09 12:32:31 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Adam Williamson 2009-07-20 20:19:43 EDT
Reporter, could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 9 markm 2009-07-22 17:20:59 EDT
(In reply to comment #6)
> I know the binary driver's working well for you, but I'd still like to resolve
> this.  Are you able to switch back to the nouveau driver, and attach the output
> of the "dmesg" command from after starting X with nouveau?
> 
> Also, if possible, are you able to grab a screenshot of the display?  With a
> camera would be fine, but an actual screenshot can be useful too.  Since you
> can't see the screen, booting to runlevel 3 (append "3" to the kernel
> commandline), logging in as root and running:
> 
> export DISPLAY=:0.0
> startx -- -ac :0 & (sleep 10 && import -window root screenshot.png && killall
> X)

sorry for late response, I am attaching requested data.

when nouveau starts, at first screen is dark then its getting slightly green, then getting brighter, brighter till it becomes yellow.

see picture taken from camera.
Comment 10 markm 2009-07-22 17:22:08 EDT
Created attachment 354787 [details]
screenshot grabbed from the nouveau
Comment 11 markm 2009-07-22 17:24:14 EDT
Created attachment 354788 [details]
photo of what I see when nouveau is used
Comment 12 markm 2009-07-22 17:25:41 EDT
Created attachment 354790 [details]
dmesg.txt output after running nouveau
Comment 13 markm 2009-09-05 05:47:59 EDT
Just tested Fedora 12 Alfa... bug still exists :(
now pressing Alt+Ctrl+F1 / F2 doesn't switch me into text mode, so I am unable to save any log files.
Comment 14 Adam Williamson 2009-09-08 12:33:10 EDT
does 'nouveau.modeset=0' as a kernel parameter change anything?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 15 markm 2009-09-09 16:08:40 EDT
(In reply to comment #14)
> does 'nouveau.modeset=0' as a kernel parameter change anything?

"nouveau.modeset=0" uknown option: ignoring
Comment 16 markm 2009-09-09 16:10:54 EDT
(In reply to comment #15)
> (In reply to comment #14)
> > does 'nouveau.modeset=0' as a kernel parameter change anything?
> 
> "nouveau.modeset=0" uknown option: ignoring  

should be *unknow option

then blank screen, ctrl+alt+f1/f2 doesn't work
Comment 17 Adam Williamson 2009-09-09 16:41:58 EDT
that message is normal, it doesn't mean the option didn't work. but obviously it doesn't help :/

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 18 markm 2009-09-09 16:56:05 EDT
(In reply to comment #17)
> that message is normal, it doesn't mean the option didn't work. but obviously
> it doesn't help :/

I've tried it again without option, same effect as before - blurry, damaged greenish screen - with option just blank.

how can I start livecd in safe graphics mode ie. vesa or how can I force nv to be used rather than nouveau?
Comment 19 Ben Skeggs 2009-09-09 18:41:18 EDT
Did you see *any* boot messages with nouveau.modeset=0?  Nouveau won't touch the hardware at all until X starts with that option, so if you get a blank screen before then you have something else wrong..
Comment 20 markm 2009-09-10 05:30:27 EDT
(In reply to comment #19)
> Did you see *any* boot messages with nouveau.modeset=0?  Nouveau won't touch
> the hardware at all until X starts with that option, so if you get a blank
> screen before then you have something else wrong..  

Not at home, so can't check it now, but before I got the blank screen fedora was loading showing a progress bar at the bottom of the screen - then in the moment when the X should start I got a blank screen and Live CD stopped spinning.
Comment 21 Matěj Cepl 2009-11-05 12:13:12 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages (at least F12Beta, but even better if the very latest versions).

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 22 markm 2009-11-05 12:41:26 EST
(In reply to comment #21)
> Since this bugzilla report was filed, there have been several major updates in
> various components of the Xorg system, which may have resolved this issue.
> Users who have experienced this problem are encouraged to upgrade their system
> to the latest version of their packages (at least F12Beta, but even better if
> the very latest versions).
> 
> Please, if you experience this problem on the up-to-date system, let us now in
> the comment for this bug, or whether the upgraded system works for you.

I don't want to upgrade Fedora 11 to Fedora 12 Beta to see whether this changese will work or not, but I am just running Fedora 12 Beta Live CD and it is working flawlessly - graphics on nvidia chip has been initialised correctly.

I assume full installation will work without any problems too as before I could not run Live CD as well as installation.
Comment 23 Adam Williamson 2009-11-05 18:35:13 EST
you got that message because the bug is filed against 'rawhide'. if it was filed before f11 came out and still exists in f11, we should change it to be against 11. I think we changed it to rawhide back when you were testing F12 Alpha. do you want to close this as it's working in 12, or re-set it to f11?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 24 markm 2009-11-05 18:55:08 EST
(In reply to comment #23)
> you got that message because the bug is filed against 'rawhide'. if it was
> filed before f11 came out and still exists in f11, we should change it to be
> against 11. I think we changed it to rawhide back when you were testing F12
> Alpha. do you want to close this as it's working in 12, or re-set it to f11?

I am going to install Fedora 12 when it comes out, so I am happy to close this as FIXED in CURRENTRELEASE, not sure whether the issue has been resolved in Fedora 11, but if you want I can test it for you.
Comment 25 Adam Williamson 2009-11-05 21:09:15 EST
eh, let's just close it.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 26 stuzone 2009-11-17 23:24:49 EST
This issue still occurs with Fedora 12.  I first encountered the issue when I switched to Fedora 11 (via USB Persistent boot)...the prior Fedora 10 (or was it 9) worked fine.

I decided to give it another go since Fedora 12 has been released.
Same issue as described above.  The screenshot of the graphics issue already provided is all I see after boot.
Comment 27 Ben Skeggs 2009-11-18 00:20:00 EST
Can you file a new bug report please.  These issues tend to be hardware specific, and this particular one is fixed.
Comment 28 stuzone 2009-11-18 10:55:18 EST
OK..I'll open a new bug case and reference this one.
FYI: My laptop model and graphics card are the same as the original poster.

Dell Latitude D620
Intel Core 2 Duo T5600
1 GB RAM
NVIDIA Quadro NVS 110M

Note You need to log in before you can comment on or make changes to this bug.